Bug 188293 - Review Request: perl-HTML-TableExtract
Review Request: perl-HTML-TableExtract
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT 188261
  Show dependency treegraph
 
Reported: 2006-04-07 13:38 EDT by Bill Nottingham
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 16:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-04-07 13:38:02 EDT
Spec Name or Url: http://people.redhat.com/notting/p-f-q/perl-HTML-TableExtract.spec
SRPM Name or Url: http://people.redhat.com/notting/p-f-q/perl-HTML-TableExtract-2.07-1.noarch.rpm
Description: A perl module that extracts tables. Needed for perl-Finance-Quote.
Comment 1 Jason Tibbitts 2006-04-07 17:10:19 EDT
I can get started with the specfile, but the review process requires an SRPM
instead of one that's been built.  Could you send one along?
Comment 2 Jason Tibbitts 2006-04-07 17:52:06 EDT
Package builds fine in mock and rpmlint is silent.

Issues:
Can't check a couple of things due to lack of SRPM.
%description seems to be from another package.

Review:
* package meets naming and packaging guidelines.
X specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.  However, the description seems to be the one
from the perl-Finance-Quote package.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
X can't check whether source file matches upstream without SRPM.
* package builds in mock.
* BuildRequires are proper.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/HTML, which will probably also be owned by
any module under the HTML:: namespace.  However, there are no dependencies which
could create this directory so there is no alternative but for this package to
own it.
Comment 3 Bill Nottingham 2006-04-07 23:10:13 EDT
Heh, I uploaded the wrong RPM. SRPM there now, with fixed description and
license tag.
Comment 4 Jason Tibbitts 2006-04-07 23:19:43 EDT
Cool.

* Source matches upstream:
   ad3ddfb3e25826071d1e52e336862438  HTML-TableExtract-2.07.tar.gz
   ad3ddfb3e25826071d1e52e336862438  HTML-TableExtract-2.07.tar.gz-srpm

Description looks good.

APPROVED
Comment 5 Paul Howarth 2006-04-10 06:01:55 EDT
Please add additional buildreqs:

perl(HTML::TreeBuilder)
perl(Test::Pod)
perl(Test::Pod::Coverage)

All are available in Extras and will provide additional test coverage.
Comment 6 Bill Nottingham 2006-04-10 16:43:03 EDT
Yuk, so I have to have 7 random perl modules around just to run a test suite
that doesn't affect the actual build output?

Note that the HTML tests actually require HTML::ElementTable on top of
TreeBuilder, and that's not in Extras, so adding the req doesn't help there.
Comment 7 Paul Howarth 2006-04-11 04:59:45 EDT
(In reply to comment #6)
> Yuk, so I have to have 7 random perl modules around just to run a test suite
> that doesn't affect the actual build output?

It would affect the build output if one of the tests failed, which might happen
for instance when the package came to be built on an architecture you can't test
yourself.

The modules concerned are all available in Extras so there's no real hardship in
installing them, and if you don't want them around on a long-term basis you
could always "rpm -e" them afterwards. Better still, you could do test builds in
mock and then those modules would never need to be installed on your system at all.

Most of the perl module packages I've come across in Extras have buildreqs for
all modules used in their test suites that are available in Core or Extras,

> Note that the HTML tests actually require HTML::ElementTable on top of
> TreeBuilder, and that's not in Extras, so adding the req doesn't help there.

That's why I didn't ask you to include that one as a buildreq :-) Unless you'd
like to package that one too...
Comment 8 Bill Nottingham 2006-04-11 12:56:15 EDT
Added, -2 uploaded.
Comment 9 Jason Tibbitts 2006-04-11 13:04:07 EDT
This package is already approved; you can check it in at your leisure.
Comment 10 Jason Tibbitts 2006-04-13 09:30:08 EDT
This bug should be closed NEXTRELEASE if the package was checked in and the
builds succeeded.
Comment 11 Bill Nottingham 2006-04-19 12:18:10 EDT
Built.
Comment 12 Bill Nottingham 2007-06-12 00:01:35 EDT
Package Change Request
----------------------
Package: perl-HTML-TableExtract
New Branches: EL-4 EL-5
Comment 13 Jason Tibbitts 2007-06-12 16:20:40 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.